Bug 209433 - no visual differentiation btw new and old podcasts
Summary: no visual differentiation btw new and old podcasts
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: general (show other bugs)
Version: 2.3-GIT
Platform: Compiled Sources Unspecified
: NOR normal (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-04 19:24 UTC by mtz.inc ..
Modified: 2009-12-09 11:35 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mtz.inc .. 2009-10-04 19:24:13 UTC
Version:            (using Devel)
Installed from:    Compiled sources


using amarok 2.2-git

in amarok1, new/unlistened podcasts have a reddish color and old ones do not and there is an option to mark podcasts as new/unlistened or old/listened. This gives a visual clue and control of the podcasts i have already listened to and which one i have not(probably because they are new) ..This distinction is missing in amarok 2.2
Comment 1 Myriam Schweingruber 2009-10-04 21:36:23 UTC
This is already solved in Amarok 2.2, you should look closer at that: new podcast episodes have a yellow star.
Comment 2 mtz.inc .. 2009-10-06 18:51:22 UTC
using official 2.2.0 release

new podcasts have a yellow star, downloaded ones have a blue arrow

no visual difference btw podcasts i have downloaded and have listened to and those i have downloaded but not listened to ..amarok1 and an option to mark podcasts as listened and as unlistened ..amarok2 so far does not

no visual difference btw podcasts with new episodes and those without from the top level icon ..i have to expand the podcast to see individual shows to see if there are any new ones ..not easy with more than 30 podcasts and not knowing when new shows are downloaded in what podcast

hope you guys dont mind me recharging teh status to uncomfirmed since "solved" diesnt seem appropriate
Comment 3 Bart Cerneels 2009-10-19 17:21:26 UTC
Changed the download icon into an emblem. Also increased the size of the podcast icons to 24x24 since the emblem is barely visible.

v2.2.0-452-g29d6035
Comment 4 mtz.inc .. 2009-10-21 18:31:12 UTC
updated git to "02523d9..b46cd2b" (  i have no idea what those numbers means but i hope it will be sufficient for you guys to know that i am running on git code updated couple of hours ago )

i really hope this gets solved before the new release as i am a big podcast user and i love amarok

currently, 
1. there is a visual indication of new podcasts

2. there is a visual indication of new podcasts that are already downloaded but the difference is too small to see

3. there is no visual indication btw a podcast that is downloaded and already listened and a podcast is not marked as new and not downloaded. A user must right click a podcast to know the difference based on context menu that shows up

4. No visual indication of new podcasts on the top level icon

suggestions:
use different icons/colors to show different status of the podcasts

yellow star: a new podcast is available
blue star : a new podcast is available and is already downloaded
green star : a podcast is already downloaded and already listened to

top level icon should also change colors to indicate new podcasts are available. There is currently no visual indication to show this

i dont feel this issue has been resolved but i dont want to annoy you guys so i will let this go .. good work
Comment 5 Bart Cerneels 2009-10-26 13:03:59 UTC
> 3. there is no visual indication btw a podcast that is downloaded and already
> listened and a podcast is not marked as new and not downloaded. A user must
> right click a podcast to know the difference based on context menu that shows
> up
There should be a little blue arrow on the icon regardless of the status of an episode (new or not). It might be a bit to small to see. It's visible on my screen but I have a pretty low DPI. I've already increased the icon size to 24 pxls.
Can you confirm there is something there at least? Use the magnifier kwin effect if you have to.

> 
> 4. No visual indication of new podcasts on the top level icon
> 
I'm working on this.
Comment 6 mtz.inc .. 2009-10-26 13:20:40 UTC
its a blue arrow? ..smile.. i though i was a blue dot. yes, i can see the blue arrow on podcasts that are already downloaded but its too hard to see, especially from a distance. The fact that its is bluish on the bluish back ground of the half circle also makes in harder to see.
Comment 7 Bart Cerneels 2009-10-26 13:33:21 UTC
OK, it's a visibility problem then, not an error in the code.

I've asked Nuno the oxygen icon dude to create a new set of icons specifically for better contrast.

And in v2.2.0-501-g00c390d I just committed status indication for the podcast channels using the same yellow star as new episodes.
Comment 8 mtz.inc .. 2009-10-26 14:18:02 UTC
just updated to 00c390d

the yellow arrow on the bluish background is easier to see on the top level podcast icon and it goes away when there are no new podcast ..this works

i noticed and i might as well report it here ..the podcast icon changes to listened to icon when its clicked to be played on the playlist but it doesnt if a podcast is already on the playlist and its played when its turn is up. The icon changes when the podcast is  the last on the list. I noticed this last time i updated and it is still on the version i mentioned above
Comment 9 Bart Cerneels 2009-10-26 14:23:45 UTC
Could you please create a new report for this latest issue. We can't keep adding to this one forever. And it will slip from my buglist and not be fixed before the next release.

Thanks you.